Skip to main content
GET
/
integrations
/
mappings
Get entity integration mappings
curl --request GET \
  --url https://us.api.flexprice.io/v1/integrations/mappings \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "entity_id": "<string>",
      "environment_id": "<string>",
      "id": "<string>",
      "metadata": {},
      "provider_entity_id": "<string>",
      "provider_type": "<string>",
      "tenant_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by": "<string>"
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total": 123
  }
}

Authorizations

x-api-key
string
header
required

Enter your API key in the format x-api-key <api-key>*

Query Parameters

entity_type
string
required

Entity type (customer, plan, invoice, subscription, payment, credit_note, addon, item, item_price, price)

entity_id
string
required

Entity ID

Response

OK

items
object[]
pagination
object